> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a direct deposit switch report for a link

> The endpoint returns the DDS report for a link



## OpenAPI

````yaml GET /v1/links/{link_id}/direct_deposit/report/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/direct_deposit/report/:
    parameters:
      - name: link_id
        in: path
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Deposit Switch Reports
      summary: Retrieve a direct deposit switch report for a link
      description: The endpoint returns the DDS report for a link
      operationId: link_detail_reports_dds
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DDSDetail'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    DDSDetail:
      required:
        - id
        - status
        - tracking_info
        - access_token
        - completed_at
        - deposit_details
        - provider
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        status:
          description: '[Request status](https://docs.truv.com/reference/task-livecycle)'
          type: string
          example: new
        finished_at:
          description: Time when report was finished
          type: string
          example: '2021-04-06T11:30:00Z'
        completed_at:
          description: >-
            Time when report was completed **(Deprecated, invalid datetime
            format)**
          type: string
          example: '2021-04-06 11:30:00+00:00'
        access_token:
          description: Access token for a Link to payroll provider
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        tracking_info:
          description: Any information passed to the Truv Bridge from a partner
          type: string
          nullable: true
          example: user123456
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        deposit_details:
          description: >-
            Bank account info. Used for Direct deposit switching and Paycheck
            linked lending
          required:
            - account_number
            - routing_number
            - bank_name
            - account_type
          type: object
          properties:
            account_number:
              description: Account number
              type: string
              example: '16002600'
              maxLength: 20
              minLength: 4
            account_type:
              description: |+

                Account type:

                * `checking` - Checking account,
                * `savings` - Savings account

              type: string
              example: checking
              enum:
                - checking
                - savings
            routing_number:
              description: Routing number
              type: string
              example: '123456789'
              maxLength: 12
              minLength: 8
            bank_name:
              description: Bank name
              type: string
              example: TD Bank
            deposit_type:
              description: |+

                Deposit type:

                * `entire` - Entire paycheck,
                * `percent` - Percentage of the paycheck,
                * `amount` - Fixed amount from the paycheck

              type: string
              example: entire
              enum:
                - entire
                - percent
                - amount
            deposit_value:
              description: Deposit value
              type: string
              example: '50.00'
        initial_accounts:
          description: List of initial accounts
          type: array
          nullable: true
          items:
            description: Initial Account
            required:
              - account_number
              - routing_number
            type: object
            properties:
              account_number:
                description: Account number. Only digits and * are allowed.
                type: string
                pattern: '[\d*]+'
                example: '16001234'
                maxLength: 20
                minLength: 4
              routing_number:
                description: Routing number. Only digits and * are allowed.
                type: string
                pattern: '[\d*]+'
                example: '55999876'
                maxLength: 12
                minLength: 8
              account_type:
                description: |+

                  Account type.

                  * `checking` - Checking account,
                  * `savings` - Savings account

                type: string
                example: checking
                enum:
                  - checking
                  - savings
              account_name:
                description: Account name
                type: string
              bank_name:
                description: Bank name.
                type: string
                example: TD Bank
              deposit_type:
                description: |

                  Deposit type.

                  * `entire` - Entire paycheck,
                  * `percent` - Percentage of the paycheck,
                  * `amount` - Fixed amount from the paycheck
                type: string
                enum:
                  - entire
                  - percent
                  - amount
                example: amount
              deposit_value:
                description: Deposit value.
                type: string
                example: '50.00'
        pdf_report:
          description: URL that points to the PDF file containing the report
          type: string
          format: uri
          example: https://cdn.truv.com/report.pdf
        employer:
          description: Employer
          required:
            - id
            - name
          type: object
          nullable: true
          properties:
            id:
              description: Employer ID.
              type: string
              readOnly: true
              example: meta
              maxLength: 64
            name:
              description: Employer name.
              type: string
              readOnly: true
              example: Meta
              maxLength: 128
            logo_url:
              description: Employer logo image.
              type: string
              nullable: true
        provider:
          description: Payroll provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Data provider ID.
              type: string
              readOnly: true
              example: adp
              maxLength: 64
            name:
              description: Data provider name.
              type: string
              readOnly: true
              example: ADP
              maxLength: 128
            logo_url:
              description: Data provider logo image.
              type: string
      description: Data for the DDS report
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````